Documentation · API reference
GET
/api/v1/sites/{site}/exportThe site as a .zip: site.json and daily.csv
This page as Markdown, or in an AI chatMore ways to read this page
The site as a `.zip`: `site.json` and `daily.csv`.
# The site as a .zip: site.json and daily.csv
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/get-sites-site-export
`GET /api/v1/sites/{site}/export`
The site as a `.zip`: `site.json` and `daily.csv`.
## Parameters
- `site` (in path, needed): The site's id or name
## The answer
200, a file
## Asking
```sh
curl https://tidekeeper.eu/api/v1/sites/example.org/export \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN"
```
Parameters
- sitein the address
- neededThe site's id or name
The answer
Status 200, with a file
Asking
curl https://tidekeeper.eu/api/v1/sites/example.org/export \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/export", { headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, }, }).then((r) => r.text());